# Google Cloud Pub/Sub API . projects . topics . subscriptions

## Instance Methods

Lists the name of the subscriptions for this topic.

Retrieves the next page of results.

### Method Details

`list(topic=None, pageSize=None, pageToken=None, x__xgafv=None)`

    Lists the name of the subscriptions for this topic.

    Args:
      topic: string, The name of the topic that subscriptions are attached to.
    Format is `projects/{project}/topics/{topic}`. (required)
      pageSize: integer, Maximum number of subscription names to return.
      pageToken: string, The value returned by the last `ListTopicSubscriptionsResponse`; indicates
    that this is a continuation of a prior `ListTopicSubscriptions` call, and
    that the system should return the next page of data.
      x__xgafv: string, V1 error format.
        Allowed values
          1 - v1 error format
          2 - v2 error format

    Returns:
      An object of the form:

        { # Response for the `ListTopicSubscriptions` method.
        "nextPageToken": "A String", # If not empty, indicates that there may be more subscriptions that match
            # the request; this value should be passed in a new
            # `ListTopicSubscriptionsRequest` to get more subscriptions.
        "subscriptions": [ # The names of the subscriptions that match the request.
          "A String",
        ],
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.